/*==============================================================================
 * Прерывания микроконтроллера 1921ВК035
 *------------------------------------------------------------------------------
 * ЦНИИ СЭТ, Разваляев Алексей <wot890089@mail.ru>
 *==============================================================================
 *                                  ЦНИИ СЭТ
 *==============================================================================
 */

//-- Includes ------------------------------------------------------------------
#include "main.h"


/******************************************************************************/
/* 1921VK035 Peripheral Interrupt Handlers                                   */
/* Add here the Interrupt Handlers for the used peripherals.                  */
/******************************************************************************/
void GPIOA_IRQHandler(void)
{
}
void GPIOB_IRQHandler(void)
{
}
void TMR0_IRQHandler(void)
{
  tmr_handler(&htmr0);
}
void TMR1_IRQHandler(void)
{
  tmr_handler(&htmr1);
}
void TMR2_IRQHandler(void)
{
  tmr_handler(&htmr2);
}
void TMR3_IRQHandler(void)
{
  tmr_handler(&htmr3);
}
void UART0_TD_IRQHandler(void)
{
  uart_handler(&huart0);
}
void UART0_RX_IRQHandler(void)
{
  uart_handler(&huart0);
}
void UART0_TX_IRQHandler(void)
{
  uart_handler(&huart0);
}
void UART0_E_RT_IRQHandler(void)
{
  uart_handler(&huart0);
}
void UART1_TD_IRQHandler(void)
{
  uart_handler(&huart1);
}
void UART1_RX_IRQHandler(void)
{
  uart_handler(&huart1);
}
void UART1_TX_IRQHandler(void)
{
  uart_handler(&huart1);
}
void UART1_E_RT_IRQHandler(void)
{
  uart_handler(&huart1);
}
void SPI_RO_RT_IRQHandler(void)
{
}
void SPI_RX_IRQHandler(void)
{
}
void SPI_TX_IRQHandler(void)
{
}
void I2C_IRQHandler(void)
{
}
void ECAP0_IRQHandler(void)
{
}
void ECAP1_IRQHandler(void)
{
}
void ECAP2_IRQHandler(void)
{
}
void PWM0_IRQHandler(void)
{
}
void PWM0_HD_IRQHandler(void)
{
}
void PWM0_TZ_IRQHandler(void)
{
}
void PWM1_IRQHandler(void)
{
}
void PWM1_HD_IRQHandler(void)
{
}
void PWM1_TZ_IRQHandler(void)
{
}
void PWM2_IRQHandler(void)
{
}
void PWM2_HD_IRQHandler(void)
{
}
void PWM2_TZ_IRQHandler(void)
{
}
void QEP_IRQHandler(void)
{
}
void ADC_SEQ0_IRQHandler(void)
{
  adc_seq_handler(&hadc, ADC_SEQ_Num_0);
}
void ADC_SEQ1_IRQHandler(void)
{
  adc_seq_handler(&hadc, ADC_SEQ_Num_1);
}
void ADC_DC_IRQHandler(void)
{
}
void CAN0_IRQHandler(void)
{
}
void CAN1_IRQHandler(void)
{
}
void CAN2_IRQHandler(void)
{
}
void CAN3_IRQHandler(void)
{
}
void CAN4_IRQHandler(void)
{
}
void CAN5_IRQHandler(void)
{
}
void CAN6_IRQHandler(void)
{
}
void CAN7_IRQHandler(void)
{
}
void CAN8_IRQHandler(void)
{
}
void CAN9_IRQHandler(void)
{
}
void CAN10_IRQHandler(void)
{
}
void CAN11_IRQHandler(void)
{
}
void CAN12_IRQHandler(void)
{
}
void CAN13_IRQHandler(void)
{
}
void CAN14_IRQHandler(void)
{
}
void CAN15_IRQHandler(void)
{
}
void FPU_IRQHandler(void)
{
}
void DMA_CH0_IRQHandler(void)
{
}
void DMA_CH1_IRQHandler(void)
{
}
void DMA_CH2_IRQHandler(void)
{
}
void DMA_CH3_IRQHandler(void)
{
}
void DMA_CH4_IRQHandler(void)
{
}
void DMA_CH5_IRQHandler(void)
{
}
void DMA_CH6_IRQHandler(void)
{
}
void DMA_CH7_IRQHandler(void)
{
}
void DMA_CH8_IRQHandler(void)
{
}
void DMA_CH9_IRQHandler(void)
{
}
void DMA_CH10_IRQHandler(void)
{
}
void DMA_CH11_IRQHandler(void)
{
}
void DMA_CH12_IRQHandler(void)
{
}
void DMA_CH13_IRQHandler(void)
{
}
void DMA_CH14_IRQHandler(void)
{
}
void DMA_CH15_IRQHandler(void)
{
}
void WDT_IRQHandler(void)
{
}
void RCU_IRQHandler(void)
{
}
void MFLASH_IRQHandler(void)
{
}


/******************************************************************************/
/*           Cortex-M4 Processor Interruption and Exception Handlers          */
/******************************************************************************/
/**
  * @brief This function handles Non maskable interrupt.
  */
void NMI_Handler(void)
{
  while (1)
  {
  }
}

/**
  * @brief This function handles Hard fault interrupt.
  */
void HardFault_Handler(void)
{
  while (1)
  {
  }
}

/**
  * @brief This function handles Memory management fault.
  */
void MemManage_Handler(void)
{
  while (1)
  {
  }
}

/**
  * @brief This function handles Prefetch fault, memory access fault.
  */
void BusFault_Handler(void)
{
  while (1)
  {
  }
}

/**
  * @brief This function handles Undefined instruction or illegal state.
  */
void UsageFault_Handler(void)
{
  while (1)
  {
  }
}

/**
  * @brief This function handles System service call via SWI instruction.
  */
void SVC_Handler(void)
{
}

/**
  * @brief This function handles Debug monitor.
  */
void DebugMon_Handler(void)
{
}

/**
  * @brief This function handles Pendable request for system service.
  */
void PendSV_Handler(void)
{
}

/**
  * @brief This function handles System tick timer.
  */
void SysTick_Handler(void)
{
  millis_inc();
}
